package com.jianshui.invoice.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import net.logstash.logback.encoder.org.apache.commons.lang3.builder.ToStringBuilder;
import net.logstash.logback.encoder.org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 开票接口回调对象 invoice_back
 * 
 * @author jianshui
 * @date 2023-10-26
 */
public class InvoiceBack
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 系统订单号 */
    @Excel(name = "系统订单号")
    private String systemOrderno;

    /** 回调状态0未回调 1回调成功 2回调失败 3回调多次失败，不再回调 */
    @Excel(name = "回调状态0未回调 1回调成功 2回调失败 3回调多次失败，不再回调")
    private String status;

    /** 回调地址 */
    @Excel(name = "回调地址")
    private String backUrl;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String identity;

    /** 回调信息 */
    @Excel(name = "回调信息")
    private String backMsg;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 接口返回信息*/
    private String resultMsg;

    /** 接口返回状态码*/
    private String resultCode;

    /** 更新时间*/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 调用次数*/
    private Integer num;

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getResultCode() {
        return resultCode;
    }

    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    public String getResultMsg() {
        return resultMsg;
    }

    public void setResultMsg(String resultMsg) {
        this.resultMsg = resultMsg;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setSystemOrderno(String systemOrderno) 
    {
        this.systemOrderno = systemOrderno;
    }

    public String getSystemOrderno() 
    {
        return systemOrderno;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setBackUrl(String backUrl) 
    {
        this.backUrl = backUrl;
    }

    public String getBackUrl() 
    {
        return backUrl;
    }
    public void setIdentity(String identity) 
    {
        this.identity = identity;
    }

    public String getIdentity() 
    {
        return identity;
    }
    public void setBackMsg(String backMsg) 
    {
        this.backMsg = backMsg;
    }

    public String getBackMsg() 
    {
        return backMsg;
    }


}
